--- Unofficial DSTT Kernel ---
Thanks to all hacker.

ashley

---
* V1.17a12 (Dec 5,2009)
o Problems solved :
    4429 - Phantasy Star Zero (US)
    4502 - Battle of Giants: Dragons (US)
    4503 - Plus belle la vie 2 : Le mysterieux passe de Vincent (FR)
    4510 - Kaijuu Busters (JP)
    4512 - Might & Magic: Clash of Heroes (US)
    4513 - Cross Treasures (JP)
    4514 - Relaxuma * Rhythm: Mattari Kibun de Da Run Run Run (JP)
   *4518 - Pawer Pro-Kun Pocket 12 (JP)
    4524 - Petz Nursery (EU)
    4527 - The Legend of Zelda: Spirit Tracks (US)
   *4529 - James Cameron's Avatar: The Game (US)
    4532 - Barbie and the Three Musketeers (US)

	*: DS/DSL mode only.

o Library update to 4532.

---
* V1.17a11 (Nov 27,2009)
o Problems solved :
    4447 - 200 Klassische Bucher (DE)
   *4456 - Style Lab: Jewelry Design (US)
    4467 - Mario & Sonic at Vancouver Olympics (JP)
    4469 - Wizardry: Inochi no Kusabi (JP)
    4477 - Barbie and The Three Musketeers (EU)
    4489 - Petz: Dog Superstar (EU)
    4492 - Layton Kyouju to Majin no Fue (JP)
    4495 - Petz: Hamster Superstar (EU)
    4499 - Cooking Mama 3 (JP)
    4500 - Ochaken no Heya DS 4: Ochaken Land de Hotto Shiyo? (JP)

	*: DS/DSL mode only.

o Library update to 4500.
   (merge 2ch library, dsm0088)

---
* V1.17a10 (Nov 14,2009)
o Problems solved :
    4370 - Summon Night X: Tears Crown (JP)
   *4376 - Rabbids Go Home (EU)
    4377 - C.O.P. The Recruit (EU)
   *4380 - Girls Life: Fashion Addict (EU)
   *4381 - Girls Life: Make Over (EU)
    4382 - Barbie and The Three Musketeers (EU)
    4384 - World of Zoo (EU)
   *4420 - Women's Murder Club: Games of Passion (EU)
    4432 - Rockman EXE: Operate Shooting Star (JP)
   *4433 - Assassin's Creed II: Discovery (US)
    4434 - Tamagotchi no Narikiri Channel (JP)
    4436 - C.O.P. The Recruit (US)

	*: DS/DSL mode only.

o Library update to 4439.

o Save size fixed : 1MB
    4336 - Style Boutique (EU)
    XXXX - Style Savvy (US)

---
* V1.17a09 (Oct 30,2009)
o Problems solved :
    4292 - Mario & Sonic at the Olympic Winter Games (EU)
    4301 - Kimi ni Todoke: Sodateru Omoi (JP)
   *4304 - Dolphin Island Underwater Adventures (EU)
    4328 - Element Hunter (JP)
    4336 - Nintendo presents: Style Boutique (EU)
    4353 - Hikari no 4 Senshi: Final Fantasy Gaiden (JP)
    4354 - Umihara Kawase Shun: Second Edition - Kanzenban (JP)
    4355 - Fresh PreCure! Asobi Collection (JP)
   *4357 - Imagine Rescue Vet (EU)

	*: DS/DSL mode only.

o Library update to 4360.

---
* V1.17a08 (Oct 10,2009)
o Problems solved :
    4237 - Combat of Giants: Dragons (EU)
   *4245 - Imagine Journalist (EU)
    4249 - Inazuma Eleven 2: Kyoui no Shinryokusha - Fire (JP)
    4250 - Inazuma Eleven 2: Kyoui no Shinryokusha - Blizzard (JP)
    4254 - Where's Waldo? The Fantastic Journey (US)
   *4257 - The Biggest Loser (US)
    4259 - Blue Dragon: Ikai no Kyoujuu (JP)
    4262 - Kingdom Hearts 358/2 Days (EU)
    4264 - Shin Megami Tensei: Strange Journey (JP)
    4268 - Mario & Luigi: Bowsers Inside Story (EU)
    4270 - Tago Akira no Atama no Taisou Dai-3-Shuu: Fushigi no Kuni no Nazotoki Otogibanashi (JP)
    4271 - Tago Akira no Atama no Taisou Dai-4-Shuu: Time Machine no Nazotoki Daibouken (JP)
    4272 - Iron Master (JP)
    4274 - Mario & Sonic at the Olympic Winter Games (US)

	*: DS/DSL mode only.

o Library update to 4280.

---
* V1.17a07 (Sep 26,2009)
o Problems solved :
   *3922 - Mon Coach Personnel: Mes Recettes Plaisir et Ligne (FR)
   *3929 - Classic Word Games (US)
   *3938 - Classic Word Games (EU)
   *3939 - My Cooking Coach: Prepare Healthy Recipes (EU)
   *3949 - My Healthy Cooking Coach (US)
   *3952 - Mein Koch-Coach: Gesund und Lecker Kochen (GE)
   *3970 - Bravissi-Mots (FR)
   *3980 - Il Mio Coach di Cucina: Prepara cibi sani e gustosi DS (IT)
   *4040 - Mi Experto en Cocina: Comida Saludable (SP)
   *4187 - THE iDOLM@STER: Dearly Stars (JP)
    4217 - Rhythm World (KO)
    4225 - Kingdom Hearts 358/2 Days (US)

	*: DS/DSL mode only.

o Library update to 4230. (2ch library)

---
* V1.17a06 (Sep 22,2009)
o Problems solved :
    4186 - SaGa 2: Hihou Densetsu - Goddess of Destiny (JP)
    4191 - Anpanman to Touch de Waku Waku Training (JP)
    4192 - Kindaichi Shonen no Jikenbo-Akuma no Satsujin Koukai (JP)
    4194 - Sonic Rush Adventure (KO)
    4197 - Jjangguneun Motmallyeo Cinema Land Chalkac Chalkac Daesodong! (KO)
    4207 - Okami to Koushinryou: Umi wo Wataru KazeSonic (JP)

o Library update to 4209.
    not include, 3922,3929,3938,3939,3949,3952,3970,3980,4040,4187,4180,4182,4183

---
* V1.17a05 (Sep 12,2009)
o Problems solved :
    4145 - 7 Wonders II (GE)
    4148 - Nihon Keizai Shinbunsha Kanshuu: Shiranai Mamade wa Son o Suru Mono ya Okane no Shikumi DS (JP)
    4151 - Sloane to MacHale no Nazo no Story 2 (JP)
    4168 - Pokemon: Heart Gold (JP)
    4169 - Pokemon: Soul Silver (JP)
    4171 - Mario & Luigi: Bowsers Inside Story (US)

o Library update to 4174. (2ch library)
  *modify
    4145 - 7 Wonders II (GE)

o Save's size fixed (2ch library)
  *1MByte
    4168 - Pokemon: Heart Gold (JP)
    4169 - Pokemon: Soul Silver (JP)


reference rom number : DS-Scene (http://www.ds-scene.net/?s=releases)

---
* V1.17a04 (Aug 29,2009)
o Problems solved :
    4133 - Nanashi no Game Me (JP)
    4134 - SupaRobo Gakuen (JP)

o Library update to 4134.
o Added new library (extinfo.dat).

---
* V1.17a03 (Aug 18,2009)
o Problems solved :
    2540 - Brain Age 2: More Daily Brain Training (KO)
    2796 - DS Vitamin: Great Eating Table Talk About Health Foods Guide (KO)
    3149 - Pokemon Mystery Dungeon: Explorers of Time (KO)
    3498 - Princess Maker 4 Special Edition (KO)
    3533 - Pokemon Mystery Dungeon: Explorers of Dark (KO)
    3595 - Spectral Force Genesis (KO)
    3659 - Magic Hanja DS (KO)
    3733 - Princess Bakery (KO)
    3903 - AFL Mascot Manor (EU)
    3906 - NRL Mascot Mania (EU)
    3909 - Ragnarok Online DS (KO)
    3982 - Suikoden Tierkreis (KO)
    4013 - Okaeri! Chibi-Robo! Happy Richie Oosouji (JP)
    4036 - Puyo Puyo 7 (JP)
    4085 - Blood of Bahamut (JP)
    4090 - Tsukibito (JP)

---
* V1.17a02 (July 13,2009)
o Problems solved :
    0193 - Oideyo Doubutsu No Mori (JP)
    0223 - Animal Crossing Wild World (US)
    0389 - Animal Crossing Wild World (EU)
    0989 - Oideyo Doubutsu No Mori (JP)
    1479 - Animal Crossing Wild World(US)
    1775 - Nolleooseyo Dongmurui Su (KO)
    3369 - Mario and Luigi RPG 3 (JP)
    3966 - Dragon Quest IX: Hoshizora no Mamoribito (JP)

o Library update to 3966. (2ch library)

---
* V1.17a01 (July 2,2009)
o Disabled fake killer.
o Problems solved :
    0667 - Me de Unou wo Kitaeru DS Sokudokujutsu (JP)
    2746 - Think Kids (EU)
    2761 - Bleach Dark Souls (US)
    2906 - Star Wars The Clone Wars: Jedi Alliance (US)
    2971 - Star Wars The Clone Wars: Jedi Alliance (EU)
    2987 - Hello Kitty: Big City Dreams (US)
    3014 - Iron Chef America: Supreme Cuisine (US)
    3055 - Chrono Trigger (US)
    3070 - Toeic DS (KO)
    3088 - Hello Kitty: Big City Dreams (EU)
    3151 - Chocobo to Mahou no Ehon Majo to Shoujo to 5 nin no Yuusha (JP)
    3176 - Power Pro Kun Pocket 11 (JP)
    3268 - Tropix! (US)
    3332 - Final Fantasy Crystal Chronicles: Echoes of Time (JP)
    3351 - Chrono Trigger (EU)
    3369 - Mario and Luigi RPG 3 (JP)
    3380 - Hotel Dusk Room 215 (KO)
    3396 - Dragon Quest V: Hand of the Heavenly Bride (EU)
    3424 - Dragon Quest V: Hand of The Heavenly Bride (US)
    3494 - Bleach: Dark Souls (EU)
    3517 - Grand Theft Auto: Chinatown Wars (US)
    3538 - Grand Theft Auto: Chinatown Wars (EU)
    3574 - Final Fantasy Crystal Chronicles: Echoes of Time (US)
    3580 - Final Fantasy Crystal Chronicles: Echoes of Time (EU)
    3607 - Pro Yakyuu Famista DS 2009 (JP)
    3690 - Made in Ore (JP)
    3782 - Sloane to MacHale no Nazo no Story (JP)
    3790 - Pro Yakyuu Team o Tsukurou! 2 (JP)
    3791 - Yuuzai x Muzai (JP)
    3819 - Kingdom Hearts 358/2 Days (JP)
    3828 - Naruto Shippuden: Ninja Council 4 (US)
    3872 - Tago Akira no Atama no Taisou Dai-2-Shuu: Ginga Oudan Nazotoki Adventure (JP)
    3873 - Tomodachi Collection (JP)
    3874 - Tago Akira no Atama no Taisou Dai-1-Shuu: Nazotoki Sekai Isshuu Ryokou (JP)

o Save's size fixed :
  Please format microSD if you used the following titles at different save size.

  1MByte with fill of 0xFF :
    1279 - Ganbaru Watashi no Kakei Diary (JP)
    1328 - Ganbaru Watashi no Kakei Diary (v01) (JP)
    1338 - Shinri Kenkyuuka Yuukiyuu Kanshuu: Mainichi Kokorobics DS Therapy (JP)
    1534 - DS Bungaku Zenshuu (JP)
    2205 - VitaminX Evolution: Super Supplement Boys Goes On (JP)
    2641 - Pokemon Platinum (JP)
    2696 - Kirby Super Star Ultra (US)
    2813 - Wagamama Fashion Girls Mode (JP)
    2880 - Hoshi no Kirby Ultra Super Deluxe (JP)
    2931 - Kirby: Ultra Super Deluxe (KO)
    3212 - 100 Classic Book Collection (EU)
    3499 - Rittai Picross (JP)
    3541 - Pokemon Platinum (US)
    3783 - Pokemon Platin Edition (DE)
    3784 - Pokemon Version Platine (FR)
    3787 - Pokemon Edicion Platino (ES)
    3794 - Pokemon Versione Platino (IT)
    3797 - Pokemon Platinum Version (EU)

  8MByte with fill of 0x00 :
    2385 - Daigasso Band Brothers DX (JP)

  32MByte with fill of 0xFF :
    3690 - Made in Ore (JP)

o Homebrew compatibility fixed.
  DS Linux, Super Smash Bros Rumble, ...

o Library update to 3860.
  update from 2ch library.
  *add
    2746 - Think Kids (EU)
    3268 - Tropix! (US)
  *modify
    3176 - Power Pro Kun Pocket 11 (JP)

o Filename '0x5c/0x7c issue' fixed, except '0xe5 issue'.
